import { AbstractMigrationEngine, SessionStorageMigratorOptions, MigrationOperation } from '@shopify/shopify-app-session-storage';
import { RedisConnection } from './redis-connection';
export declare class RedisSessionStorageMigrator extends AbstractMigrationEngine<RedisConnection, SessionStorageMigratorOptions> {
    constructor(dbConnection: RedisConnection, opts: Partial<SessionStorageMigratorOptions> | undefined, migrations: MigrationOperation[]);
    initMigrationPersistence(): Promise<void>;
    hasMigrationBeenApplied(migrationName: string): Promise<boolean>;
    saveAppliedMigration(migrationName: string): Promise<void>;
    private getMigrationRecords;
}
//# sourceMappingURL=redis-migrator.d.ts.map